Skip to content

Download a rendition for a specified version of a document.

GET/api/{version}/objects/documents/{doc_id}/versions/{major_version}/{minor_version}/renditions/{rendition_type}
NameDescription
Acceptapplication/json (default) or application/xml
NameDescription
{doc_id}The document id field value.
{major_version}The document major_version_number__v field value.
{minor_version}The document minor_version_number__v field value.
{rendition_type}The document rendition type.
NameDescription
protectedRenditionIf your Vault is configured to use protected renditions, set to false to download the non-protected rendition. If omitted, defaults to true. You must have the Download Non-Protected Rendition permission to download non-protected renditions.
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v24.2/objects/documents/534/versions/2/0/renditions/viewable_rendition__v > file
{ "responseStatus": "SUCCESS" }

On SUCCESS, Vault retrieves the file associated with the given renditions type for the specified document version. The HTTP Response Header Content-Type is set to application/octet-stream.